## Apache Zeta Components Manual :: Docs For Class ezcLogFilterSet

### EventLog::ezcLogFilterSet

### Class ezcLogFilterSet

Mapping of an eventType, eventSource and eventCategory to a mixed variable using a filter set.

The ezcLogFilterSet is an implementation of the ezcLogMapper. The ezcLogFilterSet contains a set of ezcLogFilterRules. These rules are processed sequentially. The rule assigned first will be processed first. Each rule determines whether the log message matches with the filter rule. If the log message matches, it calls the writer and decide whether the filter set stops processing.

Source for this file: /EventLog/src/mapper/filterset.php

### Implements interfaces:

- ezcLogMapper

Version: | //autogentag//

### Method Summary

public void | `appendRule( $filter )` Appends a rule to the end of the filter set.
protected void | `clearCache( )` Clears the cache.
public bool | `deleteLastRule( )` Deletes the last rule from the filter set.
public mixed | `get( $severity , $source , $category )` Returns the variable assigned to the combination of a severity $severity, source $source, and category $category.

### Methods

#### appendRule

void appendRule( ezcLogFilter $filter )

Appends a rule to the end of the filter set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$filter` | ezcLogFilter |

#### clearCache

void clearCache( )

Clears the cache.

#### deleteLastRule

bool deleteLastRule( )

Deletes the last rule from the filter set.

Returns false if the filter set is empty, otherwise true.

#### get

mixed get( int $severity , string $source , string $category )

Returns the variable assigned to the combination of a severity $severity, source $source, and category $category.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$severity` | int |
`$source` | string |
`$category` | string |

##### Implementation of:

Method | Description
--- | ---
`ezcLogMapper::get()` | Returns the containers (results) that are mapped to this $severity, $source, and $category.

Documentation generated by phpDocumentor 1.4.3